Subject: Re: [5gangip] SIR [was ILA forwarding]

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 1 May 2018 15:56:11 -0500

Hi Tom,

With SIR fixed, I wonder how do you address multi homed UEs in ILA?
Maybe you did not need it for VMs because they are not multi homed but UEs
definitely have multiple interfaces.
ILNP treats it using two different locators but same identifier which seems
reasonable.

Regards,
Behcet

---

From: Tom Herbert <[email-masked]>
Date: Tue, 1 May 2018 14:09:45 -0700

> definitely have multiple interfaces.

That's a tough problem. If both interfaces are in the same ILA domain,
then there's no issue it should just work. If they're not then
something needs to be done across domains for it to work seamlessly
where addresses associated in one domain can be routed in another.

> ILNP treats it using two different locators but same identifier which seems
But then locators are exposed to end devices-- privacy problem.

> Regards,
> Behcet
>
>
>
> _______________________________________________
> 5gangip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/5gangip
>

---

From: Saleem Bhatti <[email-masked]>
Date: Wed, 2 May 2018 07:55:41 +0000

> On 01 May 2018, at 22:09, Tom Herbert <[email-masked]> wrote:
> 

ILNP offers options for location privacy, without tunnelling or loss of end-to-end semantics for a flow - please section 7 of RFC6748.

Cheers,
--/Saleem

---

From: Tom Herbert <[email-masked]>
Date: Wed, 2 May 2018 10:35:50 -0700

> ILNP offers options for location privacy, without tunnelling or loss of end-to-end semantics for a flow - please section 7 of RFC6748.
Hi Saleem,

>From RFC6748:

"To enable this function, we use a middlebox that we call the Locator
Rewriting Relay... The operation of the LRR is conceptually very
simple.  We assume that the LRR first has mappings as given in
expressions..."

Looks like an LRR is providing almost identical functionality as an
ILA-R. You might even be able to leverage the ILA-R code to implement
it.

Tom

---

From: Saleem Bhatti <[email-masked]>
Date: Thu, 3 May 2018 16:14:15 +0000

Tom;

On 02 May 2018, at 18:35, Tom Herbert <[email-masked]<mailto:[email-masked]>> wrote:

On Wed, May 2, 2018 at 12:55 AM, Saleem Bhatti <[email-masked]<mailto:[email-masked]>> wrote:

On 01 May 2018, at 22:09, Tom Herbert <[email-masked]<mailto:[email-masked]>> wrote:

On Tue, May 1, 2018 at 1:56 PM, Behcet Sarikaya <[email-masked]<mailto:[email-masked]>> wrote:
Hi Tom,

Hi Saleem,

ILA-R.

I do not believe so - the LRR function is very simple, with no control-plane or management-plane defined (deliberately), but the ILA-R is a more complex beast. (Possibly, the LRR function could be implemented by a suitably configured ILA-R, I am guessing.)

The LRR is only a simple building block. Examples on how it could be used for providing some level of location privacy are:

1) a localised-/site-numbering scheme at an ingress/egress point (e.g. as described in Section 2 of RFC6748); or
2) a more complex, network-wide, Tor-like forwarding mechanism (as outlined in Section III.C of this MILCOM-2011 paper https://tinyurl.com/yd643dm6, summarised in Section 7 of RFC6748)

ILNP does not mandate or exclude either of these, and does not define a control-plane or management-plane that could be used specifically for either of those two more complex functions: only the Locator-Update handshake (via ICMP) is defined (Section 6 of RFC6741, and RFC6743).

The key point is that the locator value can be re-writtern for packets on the fly, as required, in order to implement various locat{or|ion} obfuscation mechanisms (for privacy), and/or explicit forwarding, without impacting end-to-end state. Possible examples are:

- site-multihoming (Section 3 of RFC6748);
- site-/network-mobility (Section 4 of RFC6748); and
- and some coarse-grained traffic-engineering (Section 5 of RFC6748).

Cheers,
--/Saleem

You might even be able to leverage the ILA-R code to implement
it.

Tom

Cheers,
--/Saleem

Regards,
Behcet

_______________________________________________
5gangip mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/5gangip

_______________________________________________
5gangip mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/5gangip